Main Page Class Hierarchy Compound List File List Compound Members

# TiXmlDeclaration Class Reference

In correct XML the declaration is the first entry in the file. More...

`#include <tinyxml.h>`

Inheritance diagram for TiXmlDeclaration::

List of all members.

## Public Methods

| TiXmlDeclaration ()
| Construct an empty declaration.
| TiXmlDeclaration (const std::string &version, const std::string &encoding, const std::string &standalone)
| Construct.
const std::string & | Version ()
| Version. Will return empty if none was found.
const std::string & | Encoding ()
| Encoding. Will return empty if none was found.
const std::string & | Standalone ()
| Is this a standalone document?

## Detailed Description

In correct XML the declaration is the first entry in the file.

            <?xml version="1.0" standalone="yes"?>

TinyXml will happily read or write files without a declaration, however. There are 3 possible attributes to the declaration: version, encoding, and standalone.

Note: In this version of the code, the attributes are handled as special cases, not generic attributes, simply because there can only be at most 3 and they are always the same.

The documentation for this class was generated from the following file:

- tinyxml.h